> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitski.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST Token Gate

> Limit access to web pages or other experiences to users who control a specific token.

> [!NOTE]
>
> Access to this API is available upon request to [sales@bitski.com](mailto:sales@bitski.com).

### Path

```bash cURL theme={null}
curl -X 'POST' \
  'https://api.bitski.com/v1/apps/<APP_ID>/gates' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>' \
  -d '{
  "gate": {
    "description": "In order to continue you must have a bird NFT in your wallet.",
    "filters": [
      {
        "attributes": [
          {
            "key": "Level",
            "value": "3"
          }
        ],
        "contractId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "name": "Bird contract",
        "tokenIds": "0x1"
      }
    ],
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
    "isActive": true,
    "isPublished": true,
    "name": "Must hold a bird NFT to continue."
  }
}'
```

**appId** `string` *required*

Your Bitski Application ID

### Examples

![Token Gating](https://mintcdn.com/bitski/Et9Vn7Lnb6TuZTLD/assets/images/token-gating-1492c273644ac0dca630fba6ee2ce685.png?fit=max\&auto=format\&n=Et9Vn7Lnb6TuZTLD\&q=85\&s=0c44beb577f11bf4dd4ebd7076fa1357)

### Response

**gate** `Gate object` *required*

**properties**

**id** `string` *required*

**name** `string` *required*

**image** `string` *required*

**description** `string`

**createdAt** `string` *required*

**filters** `array` *required*

**isActive** `boolean` *required*

**isPublished** `boolean` *required*

```json Token Gates Sample Response theme={null}
{
  "gate": {
    "createdAt": "2023-04-21T00:52:48.459Z",
    "description": "In order to continue you must have a bird NFT in your wallet.",
    "filters": [
      {
        "attributes": [
          {
            "key": "Level",
            "value": "3"
          }
        ],
        "contractId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "createdAt": "2023-04-21T00:52:48.459Z",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "name": "Bird contract",
        "tokenIds": [
          "0x1"
        ]
      }
    ],
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "image": "https://cdn.bitskistatic.com/tokens-raw/54676382-bab5-408d-afe2-fc6f160da4a8/06fd0294-a425-44c7-96e8-9d24757163b4.png",
    "isActive": true,
    "isPublished": true,
    "name": "Must hold a bird NFT to continue."
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.